summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Joel J. Adamson2010-05-11 20:00:20 +0200
committer Robby Workman2010-05-11 20:00:20 +0200
commitb87097e73807f56d41cb31cf6bec1a265afd6386 (patch)
tree62b8771d8fd92263922bf864ac6ff24afdf61ea9 /development
parentc687bc507902889eb2745a068296d9c926aec4b7 (diff)
downloadslackbuilds-b87097e73807f56d41cb31cf6bec1a265afd6386.tar.gz
development/R: Added to 12.0 repository
Diffstat (limited to 'development')
-rw-r--r--development/R/R.SlackBuild72
-rw-r--r--development/R/R.info8
-rw-r--r--development/R/README9
-rw-r--r--development/R/slack-desc19
4 files changed, 108 insertions, 0 deletions
diff --git a/development/R/R.SlackBuild b/development/R/R.SlackBuild
new file mode 100644
index 0000000000..ec650dfe52
--- /dev/null
+++ b/development/R/R.SlackBuild
@@ -0,0 +1,72 @@
+#! /bin/sh
+
+# Slackware build script for R
+# Written by Joel J. Adamson
+
+PRGNAM=R
+VERSION=2.6.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+rm -rf $TMP/$PRGNAM-$VERSION
+cd $TMP || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# mandir and infodir are ignored, so don't bother with them
+CFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --with-perl=/usr/bin/perl \
+ --build=$ARCH-slackware-linux
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+make install-info DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mv $PKG/usr/share/man $PKG/usr
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mv $PKG/usr/share/info $PKG/usr
+rm -f $PKG/usr/info/dir*
+gzip -9 $PKG/usr/info/*.info*
+rmdir $PKG/usr/share
+
+mkdir -p $PKG/usr/doc
+mv $PKG/usr/lib/R/doc $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a INSTALL README $CWD/$PRGNAM.SlackBuild $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+chown -R root:root $PKG/usr/doc
+( cd $PKG/usr/lib/R ; ln -s /usr/doc/$PRGNAM-$VERSION doc )
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD.tgz
diff --git a/development/R/R.info b/development/R/R.info
new file mode 100644
index 0000000000..35cb92724b
--- /dev/null
+++ b/development/R/R.info
@@ -0,0 +1,8 @@
+PRGNAM="R"
+VERSION="2.62"
+HOMEPAGE="http://www.r-project.org"
+DOWNLOAD="http://mirrors.ibiblio.org/pub/mirrors/CRAN/src/base/R-2/R-2.6.2.tar.gz"
+MD5SUM="1099cbf02c624ceb459d9bbc4d0d1448"
+MAINTAINER="Joel J. Adamson"
+EMAIL="sparrow1240@gmail.com"
+APPROVED="rworkman"
diff --git a/development/R/README b/development/R/README
new file mode 100644
index 0000000000..9de4d3160a
--- /dev/null
+++ b/development/R/README
@@ -0,0 +1,9 @@
+R Statistical Programming Language
+
+R is a language and environment for statistical computing and
+graphics. It is a GNU project which is similar to the S language and
+environment which was developed at Bell Laboratories (formerly AT&T,
+now Lucent Technologies) by John Chambers and colleagues. R can be
+considered as a different implementation of S. There are some
+important differences, but much code written for S runs unaltered
+under R.
diff --git a/development/R/slack-desc b/development/R/slack-desc
new file mode 100644
index 0000000000..ebc9fe057f
--- /dev/null
+++ b/development/R/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------------|
+R: R (Statistical Programming Language)
+R:
+R: R is a language and environment for statistical computing and graphics.
+R: It is a GNU project which is similar to the S language and environment
+R: which was developed at Bell Laboratories (formerly AT&T, but now
+R: Lucent Technologies) by John Chambers and colleagues. R can be considered
+R: as a different implementation of S. There are some important differences,
+R: but much code written for S runs unaltered under R.
+R:
+R: Homepage: http://www.r-project.org
+R: